#!/bin/bash -x

# Check that all the parameters are present
# or give an error
if  [[ $# -le 2 ]];  then
    echo "Not enough arguments. Must be at least 3!";
    echo "Usage: $0 URL extractfolder outputfile"
    exit 1
fi

# variables to hold the parameters
URL=$1
FOLDER=$2
OUTPUTFILE=$3

# Create the folder where the file will be downloaded
mkdir -p $FOLDER
cd $FOLDER

# I will save the file with another name after download for ease of use
TARFILENAME="tarball.tar.gz"

#download file from URL with specific filename
wget -O $TARFILENAME $URL

# unpack downloaded file in the specified folder
tar zxvf $TARFILENAME 

# scan the files and get a list of types with file
# requirements: three lines with
# - file size and name
# - file type (using file)
# - first two lines of the file

# enter the movies directory (we must know what the dataset is like
# to do this!
cd movies

for datasetfile in *; do
   # collect requested data in variables
   FILESIZE=$(ls -sh $datasetfile)
   FILETYPE=$(file $datasetfile)
   FILETWOLINES=$(head -2 $datasetfile)
   # Write to output of variables to file
   echo "File size and name: $FILESIZE" >> $OUTPUTFILE
   echo "File type: $FILETYPE" >> $OUTPUTFILE
   echo "First two lines:" >> $OUTPUTFILE
   echo "$FILETWOLINES" >> $OUTPUTFILE
   echo >> $OUTPUTFILE
done

